BLE_API v2.1.3

Typedefs | Functions
BLE BAS Definitions for Application
BLE Services » BLE Defined-Services » BLE BAS Definitions » BLE BAS Application Definitions

## Typedefs
typedef void(* | BleBAS_EventCallBack) (uint8_t hostId, uint8_t cmdAccess, uint8_t *data, uint16_t length)

## Functions
BleStackStatus | setBAS_ServiceInit (uint8_t hostId, BleGattRole gattRole, BLEATT_BAS_Info *info, BleBAS_EventCallBack callback)
BleStackStatus | getBAS_ServiceHandles (uint8_t hostId, BLEATT_BAS_Info *info)

## Detailed Description

Here shows the definitions of the BAS service for application uses.

## Typedef Documentation

## ◆ BleBAS_EventCallBack

typedef void(* BleBAS_EventCallBack) (uint8_t hostId, uint8_t cmdAccess, uint8_t *data, uint16_t length)

BleBAS_EventCallBack

Note
  This callback receives the BAS events. Each of these events can be associated with parameters.

## Function Documentation

## ◆ getBAS_ServiceHandles()

BleStackStatus getBAS_ServiceHandles | ( | uint8_t | hostId,
|  | BLEATT_BAS_Info * | info
| ) |  |

Get BAS Handle Numbers

Attention
  - role = BLE_GATT_ROLE_CLIENT
    MUST call this API to get service information after received BLECMD_EVENT_ATT_DATABASE_PARSING_FINISHED
  - role = BLE_GATT_ROLE_SERVER
    MUST call this API to get service information before connection established.

Parameters

  [in] | hostId | : the link's host id.
  [out] | info | : a pointer to BAS information

Return values

  BLESTACK_STATUS_ERR_INVALID_HOSTID | : Error host id.
  BLESTACK_STATUS_ERR_INVALID_PARAM | : Invalid parameter.
  BLESTACK_STATUS_SUCCESS | : Setting success.

## ◆ setBAS_ServiceInit()

BleStackStatus setBAS_ServiceInit | ( | uint8_t | hostId,
|  | BleGattRole | gattRole,
|  | BLEATT_BAS_Info * | info,
|  | BleBAS_EventCallBack | callback
| ) |  |

BAS Initialization

Parameters

  [in] | hostId | : the link's host id.
  [in] | gattRole | : BLE GATT role.
  [in] | info | : a pointer to BAS information.
  [in] | callback | : a pointer to a callback function that receive the service events.

Return values

  BLESTACK_STATUS_ERR_INVALID_HOSTID | : Error host id.
  BLESTACK_STATUS_ERR_INVALID_PARAM | : Invalid parameter.
  BLESTACK_STATUS_ERR_NOT_SUPPORTED | : Registered services buffer full.
  BLESTACK_STATUS_SUCCESS | : Setting success.